package irc

import (
	. "git.deuxfleurs.fr/Deuxfleurs/easybridge/connector"
)

const IRC_PROTOCOL = "IRC"

func init() {
	Register(IRC_PROTOCOL, Protocol{
		NewConnector: func() Connector { return &IRC{} },
		Schema: ConfigSchema{
			&ConfigEntry{
				Name:        "nick",
				Description: "Nickname",
				Required:    true,
			},
			&ConfigEntry{
				Name:        "server",
				Description: "Server",
				Required:    true,
			},
			&ConfigEntry{
				Name:        "port",
				Description: "Port",
				IsNumeric:   true,
				Default:     "6667",
			},
			&ConfigEntry{
				Name:        "ssl",
				Description: "Use SSL",
				IsBoolean:   true,
				Default:     "false",
			},
		},
	})
}
